openjpa-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From strub...@apache.org
Subject svn commit: r1756812 - in /openjpa/site/trunk/content: build-and-runtime-dependencies.mdtext index.mdtext
Date Thu, 18 Aug 2016 15:22:12 GMT
Author: struberg
Date: Thu Aug 18 15:22:12 2016
New Revision: 1756812

URL: http://svn.apache.org/viewvc?rev=1756812&view=rev
Log:
upgrade site for OpenJPA-3.0.0

Modified:
    openjpa/site/trunk/content/build-and-runtime-dependencies.mdtext
    openjpa/site/trunk/content/index.mdtext

Modified: openjpa/site/trunk/content/build-and-runtime-dependencies.mdtext
URL: http://svn.apache.org/viewvc/openjpa/site/trunk/content/build-and-runtime-dependencies.mdtext?rev=1756812&r1=1756811&r2=1756812&view=diff
==============================================================================
--- openjpa/site/trunk/content/build-and-runtime-dependencies.mdtext (original)
+++ openjpa/site/trunk/content/build-and-runtime-dependencies.mdtext Thu Aug 18 15:22:12 2016
@@ -5,7 +5,8 @@ Title: Build and Runtime Dependencies
 <a name="BuildandRuntimeDependencies-Javaversions"></a>
 ## Java versions
 
-* OpenJPA trunk (i.e. OpenJPA 2.2.0 currently) and 2.1.x branch require JDK 1.6.
+* OpenJPA trunk (i.e. OpenJPA 3.0.0 currently) require JDK 1.7 or later.
+* OpenJPA 2.1.x..2.4.x branches require JDK 1.6 or later.
 * OpenJPA 2.0.x branch requires JDK 1.6 or 1.5. Note that some functionality that requires
JDK 1.6 will not be available if you choose to build with JDK 1.5.
 * Building javadoc from 2.0.x branch or newer requires JDK 1.6.
 * OpenJPA 1.3.x, 1.2.x and 1.1.x branches require JDK 1.5.

Modified: openjpa/site/trunk/content/index.mdtext
URL: http://svn.apache.org/viewvc/openjpa/site/trunk/content/index.mdtext?rev=1756812&r1=1756811&r2=1756812&view=diff
==============================================================================
--- openjpa/site/trunk/content/index.mdtext (original)
+++ openjpa/site/trunk/content/index.mdtext Thu Aug 18 15:22:12 2016
@@ -16,13 +16,14 @@ implementation of the Java Persistence A
  specification, which pass the Sun JPA 1.0b Technology Compatibility Kit.
 
 The [2.x releases](downloads.html)
- (2.4.0 is the latest) are a production ready, compliant implementation of
+ (2.4.1 is the latest) are a production ready, compliant implementation of
 the [JSR-317 Java Persistence 2.0](http://jcp.org/en/jsr/detail?id=317)
  specification, which is backwards compatible to the JPA 1.0 specification
 and passes the Sun JPA 2.0 Technology Compatibility Kit.
 
-We are already working on a feature branch to implement the JPA-2.1 (JSR-338) specification.
-  
+The 3.x release targetting the [JSR-338 Java Persistence 2.1](http://jcp.org/en/jsr/detail?id=338)
is currently under development.
+
+
 <TABLE border="0" cellpadding="5" cellspacing="0" width="100%">
 <TBODY><TR>
 <TD valign="top" width="10%"></TD>



Mime
View raw message